Bug 978231 - JBoss.org repo is hard-coded in SY examples
JBoss.org repo is hard-coded in SY examples
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER1
: 6.0.0
Assigned To: Keith Babo
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 02:56 EDT by Jiri Pechanec
Modified: 2014-02-06 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-06-26 02:56:14 EDT
Every single SY quickstart has a repository hardcoded in its pom.xml. It should be removed and configuration via settings.xml should be preferred to enable using offline repos.
Comment 1 Jiri Pechanec 2013-06-26 02:59:28 EDT
Issue is in DR6
Comment 2 Keith Babo 2013-06-26 11:00:15 EDT
None of the quickstarts have a repository definition directly in their pom.xml.  The parent quickstarts/pom.xml for the quickstarts does have a repository definition which allows users to clone the repo and run the build without messing with settings.xml.

Keep in mind that eventually all of these dependencies will have funky -redhat suffixes on their version so they can't even be resolved out of the community nexus repository.  Also, settings.xml can be used to mirror/replace any repo definition in quickstarts/pom.xml.
Comment 5 Nick Cross 2013-07-01 04:56:30 EDT
Building for beta would remove the repositories out of the pom.
Comment 6 Nick Cross 2013-08-05 09:20:34 EDT
Vman has been run on the switchyard poms.
Comment 7 Jiri Pechanec 2013-09-17 03:12:51 EDT
Verified in ER2

Note You need to log in before you can comment on or make changes to this bug.